{ ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "intuos";
    wireless.enable = true;
    interfaces."wlp1s0".ipv4.addresses = [{
      address = "10.2.0.101";
      prefixLength = 8;
    }];
    defaultGateway = {
      address = "10.1.0.1";
      interface = "wlp1s0";
    };
  };

  system = {
    desktop.enable = true;
    stateVersion = "24.11";
  };
}
